﻿using System.Windows;
using OutlookBarAndPrism.Module1.Views;

namespace OutlookBarAndPrism.Module1.ViewModels
{
	public class ContactsViewModel : ViewModelBase
	{
		public ContactsViewModel()
		{
			this.Title = "Contacts";
		}

		private FrameworkElement smallView, normalView, largeView;

		public FrameworkElement SmallView
		{
			get
			{
				if (smallView == null)
				{
					ContactsView view = new ContactsView();
					view.InfoTextBlock.Text = "Small View";
					smallView = view;
				}

				DetachFromVisualParent(smallView);

				return smallView;
			}
		}

		public FrameworkElement NormalView
		{
			get
			{
				if (normalView == null)
				{
					ContactsView view = new ContactsView();
					view.InfoTextBlock.Text = "Normal View";
					normalView = view;
				}

				DetachFromVisualParent(normalView);

				return normalView;
			}
		}

		public FrameworkElement LargeView
		{
			get
			{
				if (largeView == null)
				{
					ContactsView view = new ContactsView();
					view.InfoTextBlock.Text = "Large View";
					largeView = view;
				}

				DetachFromVisualParent(largeView);

				return largeView;
			}
		}
	}
}
