﻿using System.Windows;
using OutlookBarAndPrism.Module1.Views;

namespace OutlookBarAndPrism.Module1.ViewModels
{
	public class SimpsonsViewModel : ViewModelBase
	{
		public SimpsonsViewModel()
		{
			this.Title = "Simpsons";
		}

		public string IconPath
		{
			get
			{
				return "/Images/folder.png";
			}
		}

		private FrameworkElement view;
		public FrameworkElement View
		{
			get
			{
				if (view == null)
				{
					view = new SimpsonsView();
				}
				
				DetachFromVisualParent(view);
				
				return view;
			}
		}
	}
}
