﻿using System.Windows;
using OutlookBarAndPrism.Module1.Views;

namespace OutlookBarAndPrism.Module1.ViewModels
{
	public class FlandersViewModel : ViewModelBase
	{
		public FlandersViewModel()
		{
			this.Title = "Flanders";
		}

		public string IconPath
		{
			get
			{
				return "/Images/folder.png";
			}
		}

		private FrameworkElement view;
		public FrameworkElement View
		{
			get
			{
				if (view == null)
				{
					view = new FlandersView();
				}

				DetachFromVisualParent(view);
				
				return view;
			}
		}
	}
}
