﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace OutlookBarAndPrism.Shell.Views
{
	public partial class ShellView : UserControl
	{
		public ShellView()
		{
			InitializeComponent();
		}
		private void RadTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.Source as RadTileViewItem;

			if (item != null)
			{
				IList<RadFluidContentControl> mylist = item.ChildrenOfType<RadFluidContentControl>();
				if (mylist.Count > 0 && mylist[0] != null)
				{
					RadFluidContentControl contentControl = mylist[0];
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							contentControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							contentControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							contentControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}
	}
}
